%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  rhosa
%global packver   0.3.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.3.0
Release:          1%{?dist}%{?buildtag}
Summary:          Higher-Order Spectral Analysis

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-parallel 
Requires:         R-parallel 

%description
Higher-order spectra or polyspectra of time series, such as bispectrum and
bicoherence, have been investigated in abundant literature and applied to
problems of signal detection in a wide range of fields. This package aims
to provide a simple API to estimate and analyze them. The current
implementation is based on Brillinger and Irizarry (1998)
<doi:10.1016/S0165-1684(97)00217-X> for estimating bispectrum or
bicoherence, Lii and Helland (1981) <doi:10.1145/355958.355961> for
cross-bispectrum, and Kim and Powers (1979) <doi:10.1109/TPS.1979.4317207>
for cross-bicoherence.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
